Package org.springframework.transaction.interceptor

# Class BeanFactoryTransactionAttributeSourceAdvisor

java.lang.Object
org.springframework.aop.support.AbstractPointcutAdvisor
org.springframework.aop.support.AbstractBeanFactoryPointcutAdvisor
org.springframework.transaction.interceptor.BeanFactoryTransactionAttributeSourceAdvisor

All Implemented Interfaces:
  `Serializable`, `org.springframework.aop.Advisor`, `org.springframework.aop.PointcutAdvisor`, `org.springframework.beans.factory.Aware`, `org.springframework.beans.factory.BeanFactoryAware`, `org.springframework.core.Ordered`

public class BeanFactoryTransactionAttributeSourceAdvisor extends org.springframework.aop.support.AbstractBeanFactoryPointcutAdvisor
Advisor driven by a `TransactionAttributeSource`, used to include a transaction advice bean for methods that are transactional.

Since:
  2.5.5
Author:
  Juergen Hoeller
See Also:
  - `AbstractBeanFactoryPointcutAdvisor.setAdviceBeanName(java.lang.String)`
  - `TransactionInterceptor`
  - `TransactionAttributeSourceAdvisor`
  - Serialized Form

## Field Summary

### Fields inherited from interface org.springframework.aop.Advisor

`EMPTY_ADVICE`

### Fields inherited from interface org.springframework.core.Ordered

`HIGHEST_PRECEDENCE, LOWEST_PRECEDENCE`

## Constructor Summary

Constructors
Constructor
Description
`BeanFactoryTransactionAttributeSourceAdvisor()`

## Method Summary

Modifier and Type
Method
Description
`org.springframework.aop.Pointcut`
`getPointcut()`
`void`
`setClassFilter(org.springframework.aop.ClassFilter classFilter)`
Set the `ClassFilter` to use for this pointcut.
`void`
`setTransactionAttributeSource(TransactionAttributeSource transactionAttributeSource)`
Set the transaction attribute source which is used to find transaction attributes.

### Methods inherited from class org.springframework.aop.support.AbstractBeanFactoryPointcutAdvisor

`getAdvice, getAdviceBeanName, setAdvice, setAdviceBeanName, setBeanFactory, toString`

### Methods inherited from class org.springframework.aop.support.AbstractPointcutAdvisor

`equals, getOrder, hashCode, setOrder`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.springframework.aop.Advisor

`isPerInstance`

## Constructor Details

### BeanFactoryTransactionAttributeSourceAdvisor

public BeanFactoryTransactionAttributeSourceAdvisor()

## Method Details

### setTransactionAttributeSource

public void setTransactionAttributeSource(TransactionAttributeSource transactionAttributeSource)
Set the transaction attribute source which is used to find transaction attributes. This should usually be identical to the source reference set on the transaction interceptor itself.

See Also:
  - `TransactionAspectSupport.setTransactionAttributeSource(org.springframework.transaction.interceptor.TransactionAttributeSource)`

### setClassFilter

public void setClassFilter(org.springframework.aop.ClassFilter classFilter)
Set the `ClassFilter` to use for this pointcut. Default is `ClassFilter.TRUE`.

### getPointcut

public org.springframework.aop.Pointcut getPointcut()